function p.get_mesh() return "__SPECIAL__" end

function p.payload(level, bp)
    local center = std.block_center(bp)
    --
    ga_tele_blue2(center)
    --
    ga_play_sound("blue_ring")
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Blue ring device"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end
